package com.engine.organization.service;

import com.engine.organization.entity.codesetting.param.CodeSaveParam;
import com.engine.organization.util.response.ReturnResult;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/5/30
 * @Version V1.0
 **/
public interface CodeSettingService {

    /***
     * 是否具有权限
     * @param serialtype
     * @return
     */
    ReturnResult getHasRight(String serialtype);

    /**
     * 保存更新
     * @param params
     */
    String saveOrUpdateCodeSetting(CodeSaveParam params);

    /**
     * 获取主表id
     * @param serialType
     * @return
     */
    Long getCodeRuleId(String serialType);

    /**
     * 获取编码规则配置信息
     * @return
     */
    String getCodeSetting(String serialType);
}
